<!-- This is content container for nested view in UI-Router-->
<!-- You can put here any constant element in app content for example: Page title or breadcrum -->

<!-- Header -->
<div id="header" ng-include="'views/common/header.html'"></div>

<!-- Navigation -->
<aside id="menu" ng-include="'views/common/navigation.html'"></aside>

<!-- Main Wrapper -->
<div id="wrapper">
    <div small-header class="normalheader transition">
        <div class="hpanel" tour-step order="1" title="Page header" content="Place your page title and breadcrumb. Select small or large header or give the user choice to change the size."
            placement="bottom">
            <div class="panel-body">
                <a ng-click="small()" href="">
                    <div class="clip-header">
                        <i class="fa fa-arrow-up"></i>
                    </div>
                </a>

                <div id="hbreadcrumb" class="pull-right m-t-lg">
                    <ol class="hbreadcrumb breadcrumb">
                        <li><a ui-sref="dashboard">Dashboard</a></li>
                        <li ng-repeat="state in $state.$current.path" ng-switch="$last || !!state.abstract" ng-class="{active: $last}">
                            <a ng-switch-when="false" href="#{{state.url.format($stateParams)}}">{{state.data.pageTitle}}</a>
                            <span ng-switch-when="true">{{state.data.pageTitle}}</span>
                        </li>
                    </ol>
                </div>
                <h2 class="font-light m-b-xs">
                    {{ $state.current.data.pageTitle }}
                </h2>
                <small>{{THIS.type}} search history.</small>
            </div>
        </div>
    </div>
    <div class="content animate-panel">
        <div class="row">
            <div class="col-xs-12">
                <div class="hpanel hgreen">
                    <div class="panel-heading">
                        <div panel-tools></div>
                        Showing {{THIS.tableParams.total() > 0?((THIS.tableParams.page()-1)*THIS.tableParams.count())+1:0}} to {{(THIS.tableParams.page())*THIS.tableParams.count()
                        > THIS.tableParams.total() ?THIS.tableParams.total(): (THIS.tableParams.page())*THIS.tableParams.count()}}
                        of {{THIS.tableParams.total()}} entries
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table ng-table="THIS.tableParams" class="table">
                                <tr class="select-table" ng-repeat="item in $data">
                                    <td data-title="'Keyword'">{{item.keyword}}</td>
                                    <td data-title="'by'">{{item.by}}</td>
                                    <td data-title="'Timestamp'">{{item.timestamp|date:"MMM dd,yyyy HH:mm:ss"}}</td>
                                </tr>
                                <tr class="table-row-no-data" ng-if="THIS.tableParams.total() == 0">
                                    <td colspan="3" class="text-center">ไม่พบช้อมูล</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="panel-footer">
                        Table - 5 rows
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Right sidebar -->
    <div id="right-sidebar" ng-include="'views/common/right_sidebar.html'" class="sidebar-open" ng-show="rightSidebar"></div>

    <!-- Footer -->
    <footer class="footer" ng-include="'views/common/footer.html'"></footer>

</div>